org.eclipse.emf.cdo.view

## Interface CDOViewAdaptersNotifiedEvent

- All Superinterfaces:
    CDOTimeProvider, CDOViewEvent, IEvent

      public interface CDOViewAdaptersNotifiedEvent
      extends CDOViewEvent, CDOTimeProvider

  A `view event` fired when a `view` has finished notifying EMF `adapters` about remote changes.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOView.Options.addChangeSubscriptionPolicy(CDOAdapterPolicy)`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimeStamp()` This is the time stamp of the commit operation that caused this client side event.

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getTimeStamp

          long getTimeStamp()

      This is the time stamp of the commit operation that caused this client side event. It can be used to correlate this event to the preceding `invalidation event`.
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html